%define name hotwayd
%define version 0.7.4
%define release 1

Summary: HTTPMail(WebDAV) to POP3 gateway daemon for hotmail/msn/lycos POP3 retrieval
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Servers
URL: http://hotwayd.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: libxml2 >= 2.4.19

%description
Hotway is a POP3-HTTPMail gateway daemon. HTTPMail is an undocumented 
WebDAV-based protocol used by hotmail. This gateway allows *any* POP3 
compatible email client to handle (download, delete, etc) messages on 
hotmail.com, msn.com and lycos mailboxes. It goes in through the
back door so that you don't have to worry about web interface changes
:-)

%prep
rm -rf $RPM_BUILD_ROOT 
%setup -a 0

%build
%configure
make  %{?_makeopts:%{_makeopts}}

%install
%makeinstall
install -D -m 644 hotwayd.xinetd %buildroot%{_sysconfdir}/xinetd.d/%name

%clean
rm -rf $RPM_BUILD_ROOT

%post
service xinetd condrestart

%postun
service xinetd condrestart

%files
%defattr(0644,root,root,-)
%config(noreplace) %{_sysconfdir}/xinetd.d/%name
%doc README NEWS COPYING AUTHORS ChangeLog
%{_mandir}/man1/hotwayd.1*
%defattr(0755,root,root,-)
%{_sbindir}/hotwayd

%changelog
* Sat Jan 17 2004 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7.4
* Mon Jan 12 2004 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7.3
* Fri Jan 09 2004 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7.2
- Slight description change
* Sat Nov 01 2003 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7.1
* Thu Oct 16 2003 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7
* Tue Apr 29 2003 David Smith <courierdavid@yahoo.com.au> 
- Initial build.
